// Copyright 2020 Thomas Hintz
//
// This file is part of the Alpha Centauri Farming project.
//
// The Alpha Centauri Farming project is free software: you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation, either
// version 3 of the License, or (at your option) any later version.
//
// The Alpha Centauri Farming project is distributed in the hope that
// it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Alpha Centauri Farming project.  If not, see
// <https://www.gnu.org/licenses/>.

import React from 'react'
import { GroupBox, Row, Col, Button } from '../widgets.jsx'

import CreateAccount from '../create-account/CreateAccount.jsx';
import Login from '../login/Login.jsx';

export default class LoginOrCreateAccount extends React.Component {
    state = {
        showLogin: !!this.props.showLogin
    }

    toggleLogin = (e) => {
        e.preventDefault();
        this.setState(state => { return { showLogin: !state.showLogin }; });
    }

    render() {
        return (
            <>
                {this.state.showLogin ? (
                     <Login errors={this.props.errors} login={this.props.login} />
                ) : (
                     <CreateAccount errors={this.props.errors}
                                    createAccount={this.props.createAccount} />
                )}
                <div className="center">
                    <a className="action-item" onClick={this.toggleLogin}>{this.state.showLogin ? 'Create Account' : 'Login'}</a>
                </div>
            </>
        );
    }
}
